Core - Task # 58688

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-09 Assigned To: Marc Bastian Heinrichs
Updated: 2014-05-13 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: exec_SELECTgetSingleRow could also return FALSE

Description

Related issues:
related to Core - Task # 57348: Introduction package does not install/load an... Resolved 2014-03-26

Associated revisions

Revision 88746ec2 - 2014-05-13 19:24 - Marc Bastian Heinrichs

[BUGFIX] Don't rely on not found database records impexp

The function exec_SELECTgetSingleRow could also return
FALSE in addition to NULL, so add a additional check.

Resolves: #58688

Resolves: #57348

Releases: 6.2

Change-Id: 1c04071f67f02cce12b11c34d46c084bc28ccc83a
Reviewed-on: https://review.typo3.org/29993

Reviewed-by: Marc Bastian Heinrichs
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

History

#1 - 2014-05-09 18:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29993

#2 - 2014-05-13 16:34 - Marc Bastian Heinrichs
- Parent task set to #58777

#3 - 2014-05-13 17:06 - Gerrit Code Review
https://review.typo3.org/29993
https://review.typo3.org/29993

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29993

#4 - 2014-05-13 19:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:88746ec27aa590b7fcefb48a2e00ead3ea5bbd06.
